classdef hdataobj < handle
    
    properties
        data = [];
    end
    
    methods
        function THIS = hdataobj(varargin)
            if nargin == 0
                return
            end
            if nargin == 1 && isa(varargin{1},'hdataobj')
                THIS = varargin{1};
                return
            end
            if nargin >= 1 && isa(varargin{1},'model')
                hdatainit(varargin{1},THIS,varargin{2:end});
            end
        end
    end
    
end